<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "phone_day_t".
 *
 * @property integer $id
 * @property integer $user_id
 * @property string $call_date
 * @property integer $call_time
 * @property string $created_at
 * @property string $updated_at
 */
class PhoneDayT extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'phone_day_t';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['user_id', 'call_date', 'call_time'], 'required'],
            [['user_id', 'call_time'], 'integer'],
            [['call_date', 'created_at', 'updated_at'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'user_id' => 'User ID',
            'call_date' => 'Call Date',
            'call_time' => 'Call Time',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}
